Bug 8781 - Access to Transfer page while "independent branches" is on
Summary: Access to Transfer page while "independent branches" is on
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Adrien SAURAT
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-18 08:01 UTC by Adrien SAURAT
Modified: 2013-05-23 06:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.25 KB, patch)
2012-09-18 08:32 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[Signed off] Bug 8781: hiding of transfer page when it's useless (2.32 KB, patch)
2012-11-08 20:14 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8781: hiding of transfer page when it's useless (2.87 KB, patch)
2012-12-02 13:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-09-18 08:01:07 UTC
With the system preference  "IndependantBranches" set to On, only a superlibrarian can make transfers.
The page is still displayed for others librarians with circulation rights, but they can only chose their own library as a destination, making the page useless for them.

The link to this page could be hidden in such cases.
Comment 1 Adrien SAURAT 2012-09-18 08:32:46 UTC Comment hidden (obsolete)
Comment 2 Melia Meggs 2012-11-08 20:13:33 UTC
Thanks for the test plan!  I followed steps #1-4, and everything behaves as you described.  I am signing off.
Comment 3 Melia Meggs 2012-11-08 20:14:31 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2012-12-02 13:16:42 UTC
Created attachment 13820 [details] [review]
[SIGNED-OFF] Bug 8781: hiding of transfer page when it's useless

The transfer page is only useful when the system
preference "IndependantBranches" is Off of when the user
is a superlibrarian. Otherwise it can be hidden.

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and perlcritic pass.

TEST PLAN :
It's about testing the display of the "Transfer" link on "circulation-home.pl".
The link needs to appear if IndependantBranches is off or if the user is a superlibrarian.

1) IndependantBranches = Off, user is superlibrarian : link appears
2) IndependantBranches = Off, user is not superlibrarian : link appears
3) IndependantBranches = On, user is superlibrarian : link appears
4) IndependantBranches = On, user is not superlibrarian : link does not appear
Comment 5 Katrin Fischer 2012-12-02 13:18:02 UTC
Passed QA.

Note: The page is still accessible (and not useful) when indybranches is ON and user is not superlibrarian. But this is an improvement.
Comment 6 Jared Camins-Esakov 2012-12-02 14:28:20 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2012-12-03 06:56:25 UTC
Bug fix really, pushed to 3.10.x and 3.8.x, will be in 3.10.1 and 3.8.8